package ar.com.supervielle.wsdl.servicios.integracion.tarjetacredito_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:40:11.867-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1", name = "TarjetaCreditoPortType_v1.1")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.tarjetacredito.asignalimiteexcepcionvisa_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altacuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametros_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadoxcliente_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultatasasmaster_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altaproductoscorporativos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaadicionales_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultasolicitudes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultalimiteempresa_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistado_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altaadelantomaster_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultacabeceraresumen_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.adhesioneresumen_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultatarjetasxcuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.pagingtypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadoaltainstantaneamaster_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultimoresumen_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultahistorialpago_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altaadicional_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosxmarca_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altatitular_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.inhabilitaradhesiondebitoautomatico_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadosolicitud_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultamovimientos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistadocuentas_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestado_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultdetalleliquidacion_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaplafond_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaclubsupervielle_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneamaster_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosmultixmarca_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaatributosxtipoproducto_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosmulti_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultadetalle_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altatarjeta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneavisa_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.actualizatarjetabatch_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultalimites_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.adhesiondebitoautomatico_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface TarjetaCreditoPortTypeV11 {

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaHistorialPago")
    public void consultaHistorialPago(
        @WebParam(partName = "entrada", name = "ReqConsultaHistorialPago", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaHistorialPago-v1.1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultahistorialpago_v1.ReqConsultaHistorialPago entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaHistorialPago", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaHistorialPago-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultahistorialpago_v1.RespConsultaHistorialPago> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaAtributosXTipoProducto")
    public void consultaAtributosXTipoProducto(
        @WebParam(partName = "entrada", name = "ReqConsultaAtributosXTipoProducto", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaAtributosXTipoProducto-v1.1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaatributosxtipoproducto_v1.ReqConsultaAtributosXTipoProducto2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaAtributosXTipoProducto", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaAtributosXTipoProducto-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaatributosxtipoproducto_v1.RespConsultaAtributosXTipoProducto2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaListado")
    public void consultaListado(
        @WebParam(partName = "entrada", name = "ReqConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaListado-v1.1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistado_v1.ReqConsultaListado entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaListado-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistado_v1.RespConsultaListado> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaUltimoResumen-v1")
    public void consultaUltimoResumen(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaUltimoResumen", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaUltimoResumen-v1.1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultimoresumen_v1.ReqConsultaUltimoResumen2 entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaUltimoResumen", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaUltimoResumen-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultimoresumen_v1.RespConsultaUltimoResumen2> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito-v1/altaInstantaneaVisa")
    public void altaInstantaneaVisa(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqAltaInstantaneaVisa", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaInstantaneaVisa-v1.1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneavisa_v1.ReqAltaInstantaneaVisa2 entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaInstantaneaVisa", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaInstantaneaVisa-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneavisa_v1.RespAltaInstantaneaVisa2> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/altaInstantaneaMaster")
    public void altaInstantaneaMaster(
        @WebParam(partName = "entrada", name = "ReqAltaInstantaneaMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaInstantaneaMaster-v1.1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneamaster_v1.ReqAltaInstantaneaMaster2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaInstantaneaMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaInstantaneaMaster-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneamaster_v1.RespAltaInstantaneaMaster2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/altaAdicional")
    public void altaAdicional(
        @WebParam(partName = "entrada", name = "ReqAltaAdicional", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaAdicional-v1.1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altaadicional_v1.ReqAltaAdicional2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaAdicional", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaAdicional-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altaadicional_v1.RespAltaAdicional2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/altaTitular")
    public void altaTitular(
        @WebParam(partName = "entrada", name = "ReqAltaTitular", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaTitular-v1.1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altatitular_v1.ReqAltaTitular2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaTitular", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaTitular-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altatitular_v1.RespAltaTitular2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;
}
